com.verisign.epp.codec.nv

## Class EPPNameVerificationDocument

- java.lang.Object
- - com.verisign.epp.codec.nv.EPPNameVerificationDocument

- All Implemented Interfaces:
    EPPCodecComponent, java.io.Serializable, java.lang.Cloneable

      public class EPPNameVerificationDocument
      extends java.lang.Object
      implements EPPCodecComponent

  `EPPNameVerificationDocument` represents an individual verification document that includes a type and the "base64" content.
  See Also:
    Serialized Form

- - ### Nested Class Summary

    Nested Classes
    Modifier and Type | Class and Description
    --- | ---
    `static class` | `EPPNameVerificationDocument.FileType` File Type that include: `PDF` - PDF file type `JPG` - JPG file type.

  - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `static java.lang.String` | `ELM_LOCALNAME` Constant for the result local name
    `static java.lang.String` | `ELM_NAME` Constant for the profile tag

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `EPPNameVerificationDocument()` Default constructor for `EPPNameVerificationDocument`.
    `EPPNameVerificationDocument(EPPNameVerificationDocument.FileType aFileType, java.lang.String aFileContent)` Constructor for `EPPNameVerificationDocument` that two attributes of the document of the file type and file content.

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `java.lang.Object` | `clone()` Clone `EPPNameVerificationDocument`.
    `void` | `decode(org.w3c.dom.Element aElement)` Decode the `EPPNameVerificationDocument` attributes from the aElement DOM Element tree.
    `org.w3c.dom.Element` | `encode(org.w3c.dom.Document aDocument)` Encode a DOM Element tree from the attributes of the `EPPNameVerificationDocument` instance.
    `boolean` | `equals(java.lang.Object aObject)` Compare an instance of `EPPNameVerificationDocument` with this instance.
    `java.lang.String` | `getFileContent()` Gets the "base64" file content.
    `EPPNameVerificationDocument.FileType` | `getFileType()` Gets the type of the document file.
    `java.lang.String` | `getNamespace()` Returns the XML namespace associated with the `EPPCodecComponent`.
    `void` | `setFileContent(java.lang.String aFileContent)` Sets the "base64" file content.
    `void` | `setFileType(EPPNameVerificationDocument.FileType aFileType)` Sets the type of the document file.
    `java.lang.String` | `toString()` Implementation of `Object.toString`, which will result in an indented XML `String` representation of the concrete `EPPCodecComponent`.

    - ### Methods inherited from class java.lang.Object

      `finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- - ### Field Detail

    - #### ELM_LOCALNAME

          public static final java.lang.String ELM_LOCALNAME

      Constant for the result local name
      See Also:
        Constant Field Values

    - #### ELM_NAME

          public static final java.lang.String ELM_NAME

      Constant for the profile tag
      See Also:
        Constant Field Values

  - ### Constructor Detail

    - #### EPPNameVerificationDocument

          public EPPNameVerificationDocument()

      Default constructor for `EPPNameVerificationDocument`.

    - #### EPPNameVerificationDocument

          public EPPNameVerificationDocument(EPPNameVerificationDocument.FileType aFileType,
                                             java.lang.String aFileContent)

      Constructor for `EPPNameVerificationDocument` that two attributes of the document of the file type and file content.
      Parameters:
        `aFileType` - Type of the file
        `aFileContent` - "base64" encoded content of the file

  - ### Method Detail

    - #### getFileType

          public EPPNameVerificationDocument.FileType getFileType()

      Gets the type of the document file.
      Returns:
        Type of the document file.

    - #### setFileType

          public void setFileType(EPPNameVerificationDocument.FileType aFileType)

      Sets the type of the document file.
      Parameters:
        `aFileType` - Type of the document file.

    - #### getFileContent

          public java.lang.String getFileContent()

      Gets the "base64" file content.
      Returns:
        "base64" file content.

    - #### setFileContent

          public void setFileContent(java.lang.String aFileContent)

      Sets the "base64" file content.
      Parameters:
        `aFileContent` - the fileContent to set

    - #### encode

          public org.w3c.dom.Element encode(org.w3c.dom.Document aDocument)
                                     throws EPPEncodeException

      Encode a DOM Element tree from the attributes of the `EPPNameVerificationDocument` instance.
      Specified by:
        `encode` in interface `EPPCodecComponent`
      Parameters:
        `aDocument` - DOM Document that is being built. Used as an Element factory.
      Returns:
        Element Root DOM Element representing the `EPPNameVerificationDocument` instance.
      Throws:
        `EPPEncodeException` - Unable to encode `EPPNameVerificationDocument` instance.

    - #### decode

          public void decode(org.w3c.dom.Element aElement)
                      throws EPPDecodeException

      Decode the `EPPNameVerificationDocument` attributes from the aElement DOM Element tree.
      Specified by:
        `decode` in interface `EPPCodecComponent`
      Parameters:
        `aElement` - Root DOM Element to decode `EPPNameVerificationDocument` from.
      Throws:
        `EPPDecodeException` - Unable to decode aElement.

    - #### equals

          public boolean equals(java.lang.Object aObject)

      Compare an instance of `EPPNameVerificationDocument` with this instance.
      Overrides:
        `equals` in class `java.lang.Object`
      Parameters:
        `aObject` - Object to compare with.
      Returns:
        `true` if equal; `false` otherwise.

    - #### clone

          public java.lang.Object clone()
                                 throws java.lang.CloneNotSupportedException

      Clone `EPPNameVerificationDocument`.
      Specified by:
        `clone` in interface `EPPCodecComponent`
      Overrides:
        `clone` in class `java.lang.Object`
      Returns:
        clone of `EPPNameVerificationDocument`
      Throws:
        `java.lang.CloneNotSupportedException` - standard Object.clone exception

    - #### toString

          public java.lang.String toString()

      Implementation of `Object.toString`, which will result in an indented XML `String` representation of the concrete `EPPCodecComponent`.
      Overrides:
        `toString` in class `java.lang.Object`
      Returns:
        Indented XML `String` if successful; `ERROR` otherwise.

    - #### getNamespace

          public java.lang.String getNamespace()

      Returns the XML namespace associated with the `EPPCodecComponent`.
      Specified by:
        `getNamespace` in interface `EPPCodecComponent`
      Returns:
        XML namespace for the `EPPCodecComponent`.

Copyright © VeriSign Inc. All Rights Reserved.